Van de zeven lekken in Firefox zijn er vier kritiek, meldt Mozilla. Hackers kunnen cross-site scripting-aanvallen uitvoeren, gegevens stelen en met gemanipuleerde codes het systeem platleggen.

Mozilla raadt gebruikers van de browser aan te updaten naar versie 1.5.0.7.

Onder de zes lekken in Thunderbird bevinden zich twee kritieke lekken, onder de zes lekken in Seamonkey vier. De lekken zijn gedicht in versies 1.5.0.7 en 1.0.5, stelt Mozilla.

Updates worden via de automatische update-functie binnengehaald, of kunnen van de Mozilla-site worden gedownload.